Page MenuHomePhabricator

Upgrade the production search cluster to elastic 5.3.2
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

dcausse created this task.Apr 24 2017, 3:57 PM
debt moved this task from needs triage to Up Next on the Discovery-Search board.Apr 27 2017, 5:29 PM
dcausse renamed this task from Upgrade the production search cluster to elastic 5.3.1 to Upgrade the production search cluster to elastic 5.3.2.May 2 2017, 7:33 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-29T14:04:25Z] <gehel> starting upgrade to elasticsearch 5.3.2 on cirrus codfw cluster - T163708

Mentioned in SAL (#wikimedia-operations) [2017-05-29T14:15:23Z] <gehel> reset remote for elasticsearch/plugins deployment - T163708

Change 356079 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch - ignore some warnings related to 5.3.2 upgrade

https://gerrit.wikimedia.org/r/356079

Change 356079 merged by Gehel:
[operations/puppet@production] elasticsearch - ignore some warnings related to 5.3.2 upgrade

https://gerrit.wikimedia.org/r/356079

Gehel added a subscriber: Gehel.Jun 2 2017, 3:26 PM

cirrus-codfw elasticsearch cluster is upgraded and rebooted. eqiad still to be done, as well as relforge.

Mentioned in SAL (#wikimedia-operations) [2017-06-06T07:53:00Z] <gehel> starting upgrade to elasticsearch 5.3.2 on cirrus eqiad cluster - T163708

Mentioned in SAL (#wikimedia-operations) [2017-06-15T13:02:14Z] <gehel> starting elasticsearch upgrade to 5.3.2 on relforge cluster - T163708

Mentioned in SAL (#wikimedia-operations) [2017-06-15T13:24:53Z] <gehel> elasticsearch upgrade to 5.3.2 on relforge cluster completed, cluster still recovering - T163708

Gehel moved this task from In Progress to Done on the Discovery-Search (Current work) board.
Gehel added a subscriber: bd808.

All production clusters have now been upgraded, with the exception of tools-lab which is tracked on T164842 and will be done by @bd808.

debt closed this task as Resolved.Jun 16 2017, 5:33 PM
debt claimed this task.
debt added a subscriber: debt.

Thanks @Gehel and @bd808!

debt removed debt as the assignee of this task.Jun 19 2017, 6:22 PM